{
    "doc": "The variant classification according to different properties.",
    "fields": [
        {
            "doc": "The variant's clinical significance.",
            "name": "clinicalSignificance",
            "type": [
                "null",
                {
                    "name": "ClinicalSignificance",
                    "symbols": [
                        "benign",
                        "likely_benign",
                        "likely_pathogenic",
                        "pathogenic",
                        "uncertain_significance",
                        "excluded"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The variant's pharmacogenomics classification.",
            "name": "drugResponseClassification",
            "type": [
                "null",
                {
                    "name": "DrugResponseClassification",
                    "symbols": [
                        "altered_sensitivity",
                        "reduced_sensitivity",
                        "increased_sensitivity",
                        "altered_resistance",
                        "increased_resistance",
                        "reduced_resistance",
                        "increased_risk_of_toxicity",
                        "reduced_risk_of_toxicity",
                        "altered_toxicity",
                        "adverse_drug_reaction",
                        "indication",
                        "contraindication",
                        "dosing_alteration",
                        "increased_dose",
                        "reduced_dose",
                        "increased_monitoring",
                        "increased_efficacy",
                        "reduced_efficacy",
                        "altered_efficacy"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The variant's trait association.",
            "name": "traitAssociation",
            "type": [
                "null",
                {
                    "name": "TraitAssociation",
                    "symbols": [
                        "established_risk_allele",
                        "likely_risk_allele",
                        "uncertain_risk_allele",
                        "protective"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The variant's tumorigenesis classification.",
            "name": "tumorigenesisClassification",
            "type": [
                "null",
                {
                    "name": "TumorigenesisClassification",
                    "symbols": [
                        "driver",
                        "passenger",
                        "modifier"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The variant functional effect",
            "name": "functionalEffect",
            "type": [
                "null",
                {
                    "name": "VariantFunctionalEffect",
                    "symbols": [
                        "dominant_negative_variant",
                        "gain_of_function_variant",
                        "lethal_variant",
                        "loss_of_function_variant",
                        "loss_of_heterozygosity",
                        "null_variant"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "VariantClassification",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}